Subject: bug#45737: 27.1.50; Assertion failure in window_box_height

From: martin rudalics <[email-masked]>
Date: Sun, 10 Jan 2021 17:06:36 +0100

> I'm okay with the frame resetting itself back to a safe size, if the
 > WM cannot be hinted.

We can try to hint the WM and even make that the default.  But this
won't help people on tiling WMs or embedded frames.  And a WM that
cannot be hinted might just size the frame back as well.  We had some
issues with GNOME shell in the past and with pgtk/Wayland most of our
desires to control screen layout will have become a pipe dream anyway.

 > The main point is not to reduce the frame size
 > to dimensions that don't allow us to keep a mini-window of at least
 > one line.

It depends on what _we_ want to show above that line.  The screen estate
within the native frame rectangle is and will stay with us forever.

martin